



import java.time.LocalDate;

/**
 * @author kahlem
 *
 */

public class ArticlePrimeur extends Article {
    private LocalDate datePeremption;

    public ArticlePrimeur(int ref, String l, String f, double prixAchat, double prixArticle, LocalDate date) {
        super(ref, l, f, prixAchat, prixArticle);
        datePeremption = date;
    }

    public String toString() {//0,25
        return "ArticlePrimeur {"+super.toString() + "\n date peremption :" + datePeremption + "}";
    }

    public boolean estPerime() {
        return (LocalDate.now().compareTo(datePeremption) > 0);
    }


}
