



import java.time.LocalDate;
import java.util.List;

/**
 * @author kahlem
 *
 */
//1,5
public class GestionMagasin {

    public static void main(String[] args) {
        Magasin m = new Magasin();
        Article a1 = new ArticleElectromenager(1, "Canon50", "f1", 124.4, 1200.0, 50);
        ArticleElectromenager a2 = new ArticleElectromenager(2, "Canon25", "f1", 1200, 1520.7, 45);
        ArticleHabillement a3 = new ArticleHabillement(3, "l3", "f3", 50, 100, 36);
        Article a4 = new ArticleHabillement(4, "l4", "f3", 50, 10.9, 40);
        Article a5 = new ArticlePrimeur(5, "l5", "f5", 5.55, 10.9, LocalDate.of(2019, 12, 1));
        m.ajouterArticle(a1);
        m.ajouterArticle(a2);
        m.ajouterArticle(a3);
        m.ajouterArticle(a4);
        m.ajouterArticle(a5);

        System.out.println(m.toString());
        m.promotion(1, 30);
       // m.promotion(4, 50);
      // m.supprimerArticle(5);
        System.out.println(m.toString());
        //m.solder(20, (Soldable)a1,a2, a3, (Soldable)a4);
        System.out.println(m.toString());

        List<Article> l =m.triParOrdreCroissant();
        System.out.println(l);
        System.out.println("");
        MagasinBis mb = new MagasinBis();
        mb.ajouterArticle(a1);
        mb.ajouterArticle(a2);
        mb.ajouterArticle(a3);
        mb.ajouterArticle(a4);
        mb.ajouterArticle(a5);
        mb.ajouterArticle(new ArticlePrimeur(6, "l6", "f6", 5.55, 10.9, LocalDate.of(2019, 12, 1)));
        System.out.println("MagasinBis :"+mb);
        System.out.println("L'article le premier :"+mb.lePremierArticle());
        System.out.println("L'article le dernier :"+mb.leDernierArticle());
        System.out.println("");
        MagasinTer mt = new MagasinTer();
        mt.ajouterArticle(a3);
        mt.ajouterArticle(a2);
        mt.ajouterArticle(a1);
        mt.ajouterArticle(a5);
        mt.ajouterArticle(a4);
        ArticleElectromenager a6 = new ArticleElectromenager(2, "l6", "f6", 1200, 1520.7, 45);
        boolean b =mt.ajouterArticle(a6);
        if (!b)
            System.out.println("ajout impossible");
        System.out.println("MagasinTer :"+mt);
        mt.promotion(1,30);
        mt.supprimerArticle(4);
        System.out.println("MagasinTer :"+mt);
    }


}