

import java.util.*;

public class MagasinBis {
    private SortedSet<Article> lesArticles;

    public MagasinBis() {
        lesArticles = new TreeSet<>();
        //lesArticles = new TreeSet<>((a1,a2)->a1.getLibelle().compareTo(a2.getLibelle()));
    }

    private boolean estPresent(Article a) {
        return lesArticles.contains(a);
    }

    public boolean ajouterArticle(Article a) {
        return lesArticles.add(a);

    }
    public boolean supprimerArticle( int reference ){
        Article a = rechercherArticle(reference);
        if (a!= null)
            return lesArticles.remove(a);
        else
            return false;
    }

    public Article rechercherArticle(int reference){
        for (Article a :lesArticles)
            if (a.getReference()==reference)
                return a;
        return null;
    }
    public String toString() {
        String s="";
        for (Article a :lesArticles)
            s += a.toString() + "\n";

        return s;
    }

    public boolean promotion(int ref, int pourcentage) {
        for (Article a :lesArticles)
            if (a.getReference()==ref) {
                a.promotion(pourcentage);
                return true;
            }
        return false;
    }
    public void liquidationTotale(int pourcentage){
        lesArticles.forEach(a->a.promotion(pourcentage));
    }
    public void solder (int pourcentage, Soldable... lesArticles){
        for (Soldable article : lesArticles){
            article.solder(pourcentage);
        }
    }
    public Article lePremierArticle(){
        return lesArticles.first();
    }
    public Article leDernierArticle(){
        return lesArticles.last();
    }


}
