

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class MagasinTer {
    private Map<Integer,Article> lesArticles;

    public MagasinTer() {
        lesArticles = new HashMap<>();
    }

    private Article getArticle(int ref) {
        return lesArticles.get(ref);
    }

    public boolean ajouterArticle(Article a) {
        if ( lesArticles.putIfAbsent(a.getReference(),a)==null)
            return true;
        else
            return false;

    }
    public boolean supprimerArticle (int ref ){

        if ( lesArticles.remove(ref)!=null)
            return true;
        else
            return false;
    }
    public Article rechercherArticle(int reference){
      return lesArticles.get(reference);
    }
    public String toString() {
       String s = "";
       Set<Map.Entry<Integer,Article>> lesLignes = lesArticles.entrySet();
       for (Map.Entry<Integer,Article> uneEntree : lesLignes){
           s += "Référence :" + uneEntree.getKey() + " -  " + uneEntree.getValue() + "\n";
       }
        return s;
    }

    public boolean promotion(int ref, int pourcentage) {
        Article a = getArticle(ref);
        if (a!=null){
                a.promotion(pourcentage);
                return true;
        }
        return false;
    }
    public void solder (int pourcentage, Soldable... lesArticles){
        for (Soldable article : lesArticles){
            article.solder(pourcentage);
        }
    }
    public void liquidationTotale(int pourcentage){
        lesArticles.values().forEach(a->a.promotion(pourcentage));
    }

}
