/**
 *
 */



import java.util.*;

/**
 * @author utilisateur
 *
 */

//3
public class Magasin {
    private Set<Article> lesArticles;

    public Magasin() {
        lesArticles = new HashSet<>();
    }

    private boolean estPresent(Article a) {
       return lesArticles.contains(a);
    }

    public boolean ajouterArticle(Article a) {
        return lesArticles.add(a);

    }
    public Article rechercherArticle(int reference){
        for (Article a :lesArticles)
            if (a.getReference()==reference)
                return a;
        return null;
    }
    public boolean supprimerArticle( int reference ){
        Article a = rechercherArticle(reference);
        if (a!= null)
            return lesArticles.remove(a);
        else
            return false;
    }

    public String toString() {
        String s="";
        for (Article a :lesArticles)
            s += a.toString() + "\n";

        return s;
    }

    public boolean promotion(int ref, int pourcentage) {
        for (Article a :lesArticles)
                if (a.getReference()==ref) {
                    a.promotion(pourcentage);
                    return true;
                }
        return false;
    }
    public void solder (int pourcentage, Soldable... lesArticles){
        for (Soldable article : lesArticles){
            article.solder(pourcentage);
        }
    }
    public void liquidationTotale(int pourcentage){

        lesArticles.forEach(a->a.promotion(pourcentage));
    }

    public List<Article> triParOrdreCroissant(){
        List<Article> liste= new ArrayList<Article>(lesArticles);
        liste.sort((a1,a2)-> (int) (a1.getPrixVente()-a2.getPrixVente()));
        return liste;
    }


}
